# $Revision: 1.21 $, $Date: 2011/04/06 18:42:24 $
%bcond_without	doc
Summary:	Libindicate
Summary(pl.UTF-8):	Libindicate
Name:		libindicate
Version:	0.2.3
Release:	8
License:	LGPL v2+
Group:		Applications
Source0:	http://launchpad.net/libindicate/0.2/0.2.3/+download/%{name}-%{version}.tar.gz
# Source0-md5:	c32f2cdd85534feea4a5ebd532ede641
Patch0:		%{name}-am.patch
Patch1:		%{name}-gir.patch
URL:		https://launchpad.net/libindicate/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	glibc-misc
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk+2-devel
BuildRequires:	gtk-doc-automake
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
%if %{with doc}
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gtk-doc
%endif
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small library for applications to raise "flags" on DBus for other
components of the desktop to pick up and visualize. Currently used by
the messaging indicator.

#%description -l pl.UTF-8

%package devel
Summary:	Header files for libindicate
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki indicate
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libindicate.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki indicate.

%package static
Summary:	Static indicate library
Summary(pl.UTF-8):	Statyczna biblioteka indicate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static indicate library.

%description static -l pl.UTF-8
Statyczna biblioteka indicate.

%package apidocs
Summary:	indicate library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki indicate
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
indicate library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki indicate.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%if %{with doc}
%{__gtkdocize}
%endif
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable doc gtk-doc} \
	--with-html-dir=%{_gtkdocdir}

# without -j1 introspection tries to link with system -lindicate
%{__make} -j1 \
	PKG_CONFIG_PATH=$(pwd)/libindicate:$(pwd)/libindicate-gtk

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libindicate.so.3.*.*
%attr(755,root,root) %ghost %{_libdir}/libindicate.so.3
%attr(755,root,root) %{_libdir}/libindicate-gtk.so.1.*.*
%attr(755,root,root) %ghost %{_libdir}/libindicate-gtk.so.1
%{_libdir}/girepository-1.0/Indicate-*.typelib
%{_libdir}/girepository-1.0/IndicateGtk-*.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libindicate.so
%attr(755,root,root) %{_libdir}/libindicate-gtk.so
%{_pkgconfigdir}/indicate.pc
%{_pkgconfigdir}/indicate-gtk.pc
%{_includedir}/libindicate-0.2
%{_datadir}/gir-1.0/Indicate-*.gir
%{_datadir}/gir-1.0/IndicateGtk-*.gir

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libindicate.a
%attr(755,root,root) %{_libdir}/libindicate-gtk.a

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libindicate
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libindicate.spec,v $
Revision 1.21  2011/04/06 18:42:24  wiget
- disable silet make rules
- drop libtool file
- rel. 8

Revision 1.20  2010/11/24 14:00:44  hawk
- BR gir-repository no longer needed, builds fine without it

Revision 1.19  2010/11/24 11:44:47  hawk
- release 6

Revision 1.18  2010/08/23 21:51:24  hawk
- release 5

Revision 1.17  2010/02/04 21:02:09  arekm
- release 4

Revision 1.16  2010/01/09 16:31:45  sparky
- BR: gtk-doc-automake (required when building without doc)
- gtkdocize

Revision 1.15  2010/01/08 11:21:22  arekm
- doc bcond

Revision 1.14  2009/12/07 20:18:29  sparky
- BR: glibc-misc (for ldd binary)
- make with -j1 - without it introspection tries to link with system -lindicate

Revision 1.13  2009/12/07 20:03:54  wiget
- BR: gir-repository-devel
- rel. 3

Revision 1.12  2009/12/07 19:41:06  wiget
- fix GObject introspection (based on http://bazaar.launchpad.net/~indicator-applet-developers/libindicate/trunk/revision/339 )
- release 2

Revision 1.11  2009/12/07 17:22:02  sparky
- %files: allow other so versions

Revision 1.10  2009/12/07 15:33:48  sparky
- enable gtk-doc and put them in correct directory
- added apidocs subpackage
- BR: docbook-dtd412-xml, gtk-doc

Revision 1.9  2009/12/07 15:22:12  sparky
- BR: dbus-glib-devel, gnome-common, gnome-doc-utils, gtk+2-devel,
  gtk-doc-automake, libxml2-devel, pkgconfig
- pass --disable-gobject-introspection to configure
- dropped brainless BCs

Revision 1.8  2009/12/07 14:47:17  shadzik
- changed again back to BC: gir-repository-devel

Revision 1.7  2009/12/07 14:43:56  shadzik
- BC: gobject-introspection-devel

Revision 1.6  2009/12/07 14:40:53  shadzik
- changed to BC: gir-repository (removes -devel automatically)

Revision 1.5  2009/12/07 14:33:08  shadzik
- BC: gir-repository-devel - overwrites pkg-config flags and causes build faults

Revision 1.4  2009/12/07 14:13:11  shadzik
- comment out BR added by paszczus

Revision 1.3  2009/12/07 14:04:43  paszczus
- added BR: gir-repository-devel

Revision 1.2  2009/12/05 00:22:04  shadzik
- call libtoolize

Revision 1.1  2009/12/05 00:14:20  shadzik
- init
